Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors
Class ErrorsCatalogManager

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.errors.ErrorsCatalogManager

    public class ErrorsCatalogManager

extends java.lang.Object

Clase que gestiona el acceso al catálogo de errores de XBRL-LENLOCPENLOC2010.
El catálogo consiste en una recopilación de todos los errores que se pueden generar al invocar los servicios de XBRL-LENLOCPENLOC2010, así como una codificación y clasificación de los mismos.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ErrorsCatalogManager()` Constructor

Method Summary
`ENLOCError` | `getError(java.lang.String errorID)` Devuelve un error a partir de un ID
`static ErrorsCatalogManager` | `getInstance()` Devuelve una instancia de la propia clase

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorsCatalogManager

    public ErrorsCatalogManager()

  Constructor

Method Detail

### getInstance

    public static final ErrorsCatalogManager getInstance()
                                                  throws XBRLENLOCException

  Devuelve una instancia de la propia clase

  Returns:
    instancia de la clase ErrorsCatalogManager
  Throws:
    `XBRLENLOCException` - se produce error general al obtener el catálogo

### getError

    public ENLOCError getError(java.lang.String errorID)

  Devuelve un error a partir de un ID

  Parameters:
    `errorID` - Id del error
  Returns:
    error de tipo ENLOCError

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD